API RestDocuments
Dernière mise à jour le 20 juillet 2026
Update user-editable metadata on a file.
Authorization
JwtAuth AuthorizationBearer <token>
In: header
Path Parameters
file_id*File Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
User-editable metadata fields on a file.
Response Body
application/json
curl -X PATCH "https://example.com/documents/files/497f6eca-6276-4993-bfeb-53cbbbba6f08/metadata" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "folder": "ca579eb8-24ac-44d0-a8b9-a42c500083f5", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "file_name": "string", "file_path": "string", "file_hash": "string", "file_size_bytes": 0, "file_format": "string", "file_description": "string", "mime_type": "string", "language": "string", "page_count": 0, "upload_status": "string", "uploaded_at": "2019-08-24T14:15:22Z", "parse_status": "string", "indexing_status": "string", "extraction_quality_score": 0, "parser_used": "string", "parsed_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "creator": "string", "uploaded_by": "e134ce2c-a199-4e99-9c11-627b70a7ff28", "is_favorite": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Continuer plus loin
POSTAdd Document File Favorite POST
Add a file to the current user's favorites.
DELETEHard Delete File Endpoint DELETE
Permanently delete a file and its version chain (DB rows + S3 objects). Deletion is admin/integrator-only, independent of the caller's resolved access on the file — see require_document_org_manager.